"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const XEUtils = require("xe-utils");
function getOnName(type) {
  return "on" + type.substring(0, 1).toLocaleUpperCase() + type.substring(1);
}
function getModelEvent(renderOpts) {
  switch (renderOpts.name) {
    case "input":
    case "textarea":
      return "input";
    case "select":
      return "change";
  }
  return "update:modelValue";
}
function getChangeEvent(renderOpts) {
  switch (renderOpts.name) {
    case "input":
    case "textarea":
    case "VxeInput":
    case "VxeNumberInput":
    case "VxeTextarea":
    case "$input":
    case "$textarea":
      return "input";
  }
  return "change";
}
function hasInputType(renderOpts) {
  switch (renderOpts.name) {
    case "VxeInput":
    case "VxeNumberInput":
    case "VxeTextarea":
    case "$input":
    case "$textarea":
      return true;
  }
  return false;
}
function getSlotVNs(vns) {
  if (vns === null || vns === void 0) {
    return [];
  }
  if (XEUtils.isArray(vns)) {
    return vns;
  }
  return [vns];
}
exports.getChangeEvent = getChangeEvent;
exports.getModelEvent = getModelEvent;
exports.getOnName = getOnName;
exports.getSlotVNs = getSlotVNs;
exports.hasInputType = hasInputType;
